org.eclipse.cdt.core.settings.model.extension.impl

## Class UserAndDiscoveredEntryConfigurationDataProvider.DataFactory

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.impl.CDataFactory
  - - org.eclipse.cdt.core.settings.model.extension.impl.UserAndDiscoveredEntryConfigurationDataProvider.DataFactory

Enclosing class:
  UserAndDiscoveredEntryConfigurationDataProvider

    protected class UserAndDiscoveredEntryConfigurationDataProvider.DataFactory
    extends CDataFactory

### Constructor Summary

Constructors
`protected` `DataFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CLanguageData` `createLanguageData(CConfigurationData cfg, CResourceData rcBase, CLanguageData base, String id, boolean clone)`
`CLanguageData` `createLanguageData(CConfigurationData cfg, CResourceData rcBase, String id, String name, String languageId, int supportedKinds, String[] rcTypes, boolean isContentTypes)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.impl.CDataFactory

`createBuildData, createConfigurationdata, createFileData, createFolderData, createTargetPlatformData, getDefault, isModified, link, setModified`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataFactory

    protected DataFactory()

### Method Detail

#### createLanguageData

    public CLanguageData createLanguageData(CConfigurationData cfg,
                                            CResourceData rcBase,
                                            CLanguageData base,
                                            String id,
                                            boolean clone)

Overrides:
  `createLanguageData` in class `CDataFactory`

#### createLanguageData

    public CLanguageData createLanguageData(CConfigurationData cfg,
                                            CResourceData rcBase,
                                            String id,
                                            String name,
                                            String languageId,
                                            int supportedKinds,
                                            String[] rcTypes,
                                            boolean isContentTypes)

Overrides:
  `createLanguageData` in class `CDataFactory`